# TODO
# - smtube: use system qtsingleapplication

%define		qtver	5.0
%define		smver	14.8.0
Summary:	SMTube - YouTube browser for SMPlayer
Name:		smtube
Version:	21.7.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/smtube/%{name}-%{version}.tar.bz2
# Source0-md5:	f4e00a21b870b359e895bf8cd565fdce
URL:		https://www.smtube.org/
BuildRequires:	Qt5WebKit-devel
BuildRequires:	Qt5Script-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	qt5-qmake >= %{qtver}
BuildRequires:	rpmbuild(find_lang) >= 1.37
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
Requires:	desktop-file-utils
Obsoletes:	smplayer-smtube < 15.11.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMTube is an application that allows to browse, search and play
YouTube videos. Videos are played back with a media player (by default
SMPlayer) instead of a flash player, this allows better performance,
particularly with HD content.

%prep
%setup -q

# skip docs install
%{__sed} -i -e '/DOC_PATH/d' src/smtube.pro

# skip manpage compress
%{__sed} -i -e '/gzip/d' Makefile

# skip build rule on install
%{__sed} -i -e 's,install: src/smplayer,install:,' Makefile

%build
%{__make} \
	PREFIX=%{_prefix} \
	QMAKE=qmake-qt5 \
	LRELEASE=lrelease-qt5

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-qm

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/smtube

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Readme.txt README.md Release_notes.md
%attr(755,root,root) %{_bindir}/smtube
%{_desktopdir}/smtube.desktop
%{_iconsdir}/hicolor/*/apps/smtube.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%changelog
* Mon Aug 30 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smtube.git;a=log;h=master

* Mon Aug 30 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d24b6c0
- up to 21.7.0

* Sun Apr 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> aa34608
- up to 20.6.0. Switch to QT5

* Mon Jan 18 2016 Elan Ruusamäe <glen@delfi.ee> ef76031
- up to 16.1.0

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 26a476a
- revised deps, using cleanbuild

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> c4852c3
- use find-lang to package translations

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 5dc4a69
- new, version 15.11.0

